## dtkmultimedia 1.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -45,6 +45,12 @@
 add_subdirectory(src)
 if (CMAKE_BUILD_TYPE STREQUAL "Debug")
     add_subdirectory(examples/player)
+    add_subdirectory(examples/audioRecorder)
+    add_subdirectory(examples/camera)
+    add_subdirectory(examples/screenRecorder)
+    add_subdirectory(examples/screenShot)
+    add_subdirectory(examples/ocrCmd)
+    add_subdirectory(examples/ocrDebugger)
 endif ()
