=== debian/changelog ===
dtkmultimedia (1.0.2-1) unstable; urgency=medium

  * update

 -- Packages Builder <packages@deepin.com>  Wed, 04 Jan 2023 14:04:57 +0800

dtkmultimedia (1.0.2) unstable; urgency=medium

  * add ocr feature
  * update version

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 04 Jan 2023 13:10:07 +0800

dtkmultimedia (1.0.1) unstable; urgency=medium

  * update version

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 14 Dec 2022 13:29:07 +0800
