=== src/multimediawidgets/CMakeLists.txt ===
--- 
+++ 
@@ -32,24 +32,39 @@
 
 target_compile_definitions(${BIN_NAME} PRIVATE VERSION="${CMAKE_PROJECT_VERSION}")
 
-find_package(Qt5Widgets)
-find_package(Qt5DBus)
-find_package(Qt5X11Extras)
-find_package(Qt5LinguistTools)
-find_package(Qt5Network)
-find_package(Qt5Concurrent)
-find_package(Qt5Multimedia)
-find_package(Qt5MultimediaWidgets)
+find_package(Qt${QT_VERSION_MAJOR}Widgets)
+find_package(Qt${QT_VERSION_MAJOR}DBus)
+find_package(Qt${QT_VERSION_MAJOR}LinguistTools)
+find_package(Qt${QT_VERSION_MAJOR}Network)
+find_package(Qt${QT_VERSION_MAJOR}Concurrent)
+find_package(Qt${QT_VERSION_MAJOR}Multimedia)
+find_package(Qt${QT_VERSION_MAJOR}MultimediaWidgets)
+find_package(Dtk${DTK_VERSION_MAJOR} REQUIRED COMPONENTS Core)
+find_package(Dtk${DTK_VERSION_MAJOR} REQUIRED COMPONENTS Widget)
+if (ENABLE_Qt6)
+    find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS OpenGLWidgets)
+else()
+    find_package(Qt5X11Extras)
+endif()
+
 find_package(PkgConfig REQUIRED)
 
-pkg_check_modules(Dtk REQUIRED IMPORTED_TARGET dtkwidget)
-pkg_check_modules(Dtk REQUIRED IMPORTED_TARGET dtkcore)
-pkg_check_modules(DBusextended REQUIRED IMPORTED_TARGET dbusextended-qt5)
+if (NOT ENABLE_Qt6)
+    pkg_check_modules(DBusextended REQUIRED IMPORTED_TARGET dbusextended-qt5)
+endif()
+
 pkg_check_modules(Gst REQUIRED IMPORTED_TARGET gobject-2.0)
 
-set(TARGET_LIBS Xtst Qt5::Widgets Qt5::Network Qt5::DBus Qt5::Multimedia Qt5::X11Extras
-    Qt5::MultimediaWidgets PkgConfig::Dtk PkgConfig::DBusextended PkgConfig::Gst GL
-    Qt5::Concurrent dtkmultimedia)
+
+set(TARGET_LIBS Xtst
+    Qt${QT_VERSION_MAJOR}::Widgets
+    Qt${QT_VERSION_MAJOR}::Network
+    Qt${QT_VERSION_MAJOR}::DBus
+    Qt${QT_VERSION_MAJOR}::Multimedia
+    Qt${QT_VERSION_MAJOR}::MultimediaWidgets
+    Qt${QT_VERSION_MAJOR}::Concurrent
+    PkgConfig::Gst GL
+    dtkmultimedia)
 
 list(APPEND PROJECT_INCLUDE /usr/include/glib-2.0 /usr/include/gstreamer-1.0)
 
@@ -59,15 +74,29 @@
     Qt${QT_VERSION_MAJOR}::DBus
     ${RSVG2_INCLUDE_DIRS}
     ${PROJECT_INCLUDE}
-)
+    )
 
 target_link_libraries(${BIN_NAME} PRIVATE
     Qt${QT_VERSION_MAJOR}::Core
     Qt${QT_VERSION_MAJOR}::Gui
     Qt${QT_VERSION_MAJOR}::DBus
+    Dtk${DTK_VERSION_MAJOR}::Core
+    Dtk${DTK_VERSION_MAJOR}::Widget
     ${TARGET_LIBS}
     ${RSVG2_LIBRARIES}
-)
+    )
+
+if (ENABLE_Qt6)
+    target_link_libraries(${BIN_NAME} PRIVATE
+        Qt${QT_VERSION_MAJOR}::GuiPrivate
+        Qt${QT_VERSION_MAJOR}::OpenGLWidgets
+        )
+else()
+    target_link_libraries(${BIN_NAME} PRIVATE
+        PkgConfig::DBusextended
+        Qt5::X11Extras
+        )
+endif()
 
 install(FILES ${INSTALL_INCLUDE_FILES} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${BIN_NAME})
 install(TARGETS ${BIN_NAME} DESTINATION ${CMAKE_INSTALL_LIBDIR})
