=== debian/changelog ===
dtkmultimedia (1.0.6-1) unstable; urgency=medium

  * update

 -- Packages Builder <packages@deepin.com>  Mon, 18 Sep 2023 11:13:29 +0800

dtkmultimedia (1.0.6) unstable; urgency=medium

  * fix memory leak

 -- Deepin Packages Builder <packages@deepin.com>  Thur, 14 Sep 2023 15:33:21 +0800

dtkmultimedia (1.0.5) unstable; urgency=medium

  * fix compile error

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 22 Aug 2023 10:13:45 +0800

dtkmultimedia (1.0.4) unstable; urgency=medium

  * update version

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 08 Mar 2023 10:13:45 +0800

dtkmultimedia (1.0.3) unstable; urgency=medium

  * add multimedia info and convert feature
  * add ocr normal plugin feature
  * update version

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 04 Jan 2023 13:10:07 +0800
